[arch-commits] Commit in glibc/trunk (ChangeLog PKGBUILD)

Allan McRae allan at archlinux.org
Wed Apr 29 05:54:52 EDT 2009


    Date: Wednesday, April 29, 2009 @ 05:54:52
  Author: allan
Revision: 36985

upgpkg: glibc 2.9-7
    oops...

Modified:
  glibc/trunk/ChangeLog
  glibc/trunk/PKGBUILD

-----------+
 ChangeLog |    3 +++
 PKGBUILD  |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-04-29 09:38:57 UTC (rev 36984)
+++ ChangeLog	2009-04-29 09:54:52 UTC (rev 36985)
@@ -1,3 +1,6 @@
+glibc 2.9-7
+- actually apply patch "applied" in 2.9-6...
+
 glibc 2.9-6
 - apply upstream patch to fix gdb issue
   due to gcc optimization

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-29 09:38:57 UTC (rev 36984)
+++ PKGBUILD	2009-04-29 09:54:52 UTC (rev 36985)
@@ -6,7 +6,7 @@
 
 pkgname=glibc
 pkgver=2.9
-pkgrel=6
+pkgrel=7
 _glibcdate=20090418
 install=glibc.install
 backup=(etc/locale.gen
@@ -53,7 +53,7 @@
   patch -Np1 -i ${srcdir}/glibc-patches/glibc-fixes1.patch || return 1
 
   # fixes for gdb taken from upstream cvs, fixed FS#14481
-  patch -Np1 -i ${srcdir}/glibc-patches/glibc-2.9-libhread_db.patch
+  patch -Np0 -i ${srcdir}/glibc-patches/glibc-2.9-libthread_db.patch || return 1
 
   install -dm755 ${pkgdir}/etc
   touch ${pkgdir}/etc/ld.so.conf



More information about the arch-commits mailing list